# Address

Local address that the listener binds to; `*` uses all interfaces.

This parameter applies to imtcp: TCP Syslog Input Module.

Name:

  Address

Scope:

  input

Type:

  string (see Rsyslog Parameter String Constants)

Default:

  input=none

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

On multi-homed machines, specifies to which local address the listener should be bound.

## Input usage

    input(type="imtcp" address="127.0.0.1" port="514")

## See also

See also imtcp: TCP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.